=== modified file 'TODO'
--- TODO	2005-11-18 08:10:07 +0000
+++ TODO	2005-11-23 01:14:09 +0000
@@ -82,15 +82,6 @@
 * ``bzr inventory -r REV`` and perhaps unify this with ``bzr ls``,
   giving options to display ids, types, etc.
 
-* Split BzrError into various more specific subclasses for different
-  errors people might want to catch.
-
-* If the export destination ends in '.tar', '.tar.gz', etc then create
-  a tarball instead of a directory.  (Need to actually make a
-  temporary directory and then tar that up.)
-
-  http://www.gelato.unsw.edu.au/archives/git/0504/2194.html
-
 * RemoteBranch could maintain a cache either in memory or on disk.  We
   know more than an external cache might about which files are
   immutable and which can vary.  On the other hand, it's much simpler
@@ -290,13 +281,6 @@
   - Class that describes the state of a working tree so we can just
     assert it's equal.
 
-* There are too many methods on Branch() that really manipulate the
-  WorkingTree.  They should be moved across.
-
-  Also there are some methods which are duplicated on Tree and
-  Inventory objects, and it should be made more clear which ones are
-  proxies and which ones behave differently, and how.
-
 * Try using XSLT to add some formatting to REST-generated HTML.  Or
   maybe write a small Python program that specifies a header and foot
   for the pages and calls into the docutils libraries.
@@ -341,8 +325,6 @@
 
 * Paranoid mode where we never trust SHA-1 matches.
 
-* Don't commit if there are no changes unless forced.
-
 * --dry-run mode for commit?  (Or maybe just run with
   check-command=false?)
 
@@ -354,8 +336,6 @@
 * XML attributes might have trouble with filenames containing \n and
   \r.  Do we really want to support this?  I think perhaps not.
 
-* Remember execute bits, so that exports will work OK.
-
 * Unify smart_add and plain Branch.add(); perhaps smart_add should
   just build a list of files to add and pass that to the regular add
   function.
@@ -372,21 +352,11 @@
 * Perhaps attempts to get locks should timeout after some period of
   time, or at least display a progress message.
 
-* Split out upgrade functionality from check command into a separate
-  ``bzr upgrade``.
-
 * Don't pass around command classes but rather pass objects.  This'd
   make it cleaner to construct objects wrapping external commands.
 
 * Track all merged-in revisions in a versioned add-only metafile.
 
-* ``pull --clobber`` should discard any local changes not present
-  remotely.  Not generally what you want, but possibly useful when
-  you're just mirroring another branch and want to keep tracking it
-  even when they e.g. uncommit or make similar non-forward movements.
-  Also for push I suppose.  Clobber may not be the best name, maybe
-  ``--destroy``?
-
 * ``uncommit`` command that removes a revision from the end of the
   revision-history; just doing this is enough to remove the commit,
   and a new commit will automatically be made against the

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-11-17 07:45:38 +0000
+++ bzrlib/branch.py	2005-11-21 17:55:28 +0000
@@ -297,10 +297,6 @@
         or on the mainline."""
         raise NotImplementedError('has_revision is abstract')
 
-    def get_revision_xml_file(self, revision_id):
-        """Return XML file object for revision object."""
-        raise NotImplementedError('get_revision_xml_file is abstract')
-
     def get_revision_xml(self, revision_id):
         raise NotImplementedError('get_revision_xml is abstract')
 
@@ -493,31 +489,6 @@
         """
         raise NotImplementedError('move is abstract')
 
-    def revert(self, filenames, old_tree=None, backups=True):
-        """Restore selected files to the versions from a previous tree.
-
-        backups
-            If true (default) backups are made of files before
-            they're renamed.
-        """
-        raise NotImplementedError('revert is abstract')
-
-    def pending_merges(self):
-        """Return a list of pending merges.
-
-        These are revisions that have been merged into the working
-        directory but not yet committed.
-        """
-        raise NotImplementedError('pending_merges is abstract')
-
-    def add_pending_merge(self, *revision_ids):
-        # TODO: Perhaps should check at this point that the
-        # history of the revision is actually present?
-        raise NotImplementedError('add_pending_merge is abstract')
-
-    def set_pending_merges(self, rev_list):
-        raise NotImplementedError('set_pending_merges is abstract')
-
     def get_parent(self):
         """Return the parent location of the branch.
 
@@ -989,8 +960,7 @@
                 or self.revision_store.has_id(revision_id))
 
     @needs_read_lock
-    def get_revision_xml_file(self, revision_id):
-        """See Branch.get_revision_xml_file."""
+    def _get_revision_xml_file(self, revision_id):
         if not revision_id or not isinstance(revision_id, basestring):
             raise InvalidRevisionId(revision_id=revision_id, branch=self)
         try:
@@ -998,17 +968,13 @@
         except (IndexError, KeyError):
             raise bzrlib.errors.NoSuchRevision(self, revision_id)
 
-    #deprecated
-    get_revision_xml = get_revision_xml_file
-
     def get_revision_xml(self, revision_id):
         """See Branch.get_revision_xml."""
-        return self.get_revision_xml_file(revision_id).read()
-
+        return self._get_revision_xml_file(revision_id).read()
 
     def get_revision(self, revision_id):
         """See Branch.get_revision."""
-        xml_file = self.get_revision_xml_file(revision_id)
+        xml_file = self._get_revision_xml_file(revision_id)
 
         try:
             r = bzrlib.xml5.serializer_v5.read_revision(xml_file)
@@ -1123,26 +1089,6 @@
                 else:
                     raise e
         
-    def revision_id_to_revno(self, revision_id):
-        """Given a revision id, return its revno"""
-        if revision_id is None:
-            return 0
-        history = self.revision_history()
-        try:
-            return history.index(revision_id) + 1
-        except ValueError:
-            raise bzrlib.errors.NoSuchRevision(self, revision_id)
-
-    def get_rev_id(self, revno, history=None):
-        """Find the revision id of the specified revno."""
-        if revno == 0:
-            return None
-        if history is None:
-            history = self.revision_history()
-        elif revno <= 0 or revno > len(history):
-            raise bzrlib.errors.NoSuchRevision(self, revno)
-        return history[revno - 1]
-
     def revision_tree(self, revision_id):
         """See Branch.revision_tree."""
         # TODO: refactor this to use an existing revision object
@@ -1312,22 +1258,6 @@
     def tree_config(self):
         return TreeConfig(self)
 
-    def check_revno(self, revno):
-        """\
-        Check whether a revno corresponds to any revision.
-        Zero (the NULL revision) is considered valid.
-        """
-        if revno != 0:
-            self.check_real_revno(revno)
-            
-    def check_real_revno(self, revno):
-        """\
-        Check whether a revno corresponds to a real revision.
-        Zero (the NULL revision) is considered invalid
-        """
-        if revno < 1 or revno > self.revno():
-            raise InvalidRevisionNumber(revno)
-        
     def sign_revision(self, revision_id, gpg_strategy):
         """See Branch.sign_revision."""
         plaintext = Testament.from_revision(self, revision_id).as_short_text()

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-11-22 03:32:37 +0000
+++ bzrlib/builtins.py	2005-11-23 01:14:09 +0000
@@ -149,13 +149,13 @@
             raise BzrCommandError('You must supply either --revision or a revision_id')
         b = Branch.open_containing('.')[0]
         if revision_id is not None:
-            sys.stdout.write(b.get_revision_xml_file(revision_id).read())
+            sys.stdout.write(b.get_revision_xml(revision_id))
         elif revision is not None:
             for rev in revision:
                 if rev is None:
                     raise BzrCommandError('You cannot specify a NULL revision.')
                 revno, rev_id = rev.in_history(b)
-                sys.stdout.write(b.get_revision_xml_file(rev_id).read())
+                sys.stdout.write(b.get_revision_xml(rev_id))
     
 
 class cmd_revno(Command):

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2005-11-19 22:56:37 +0000
+++ bzrlib/errors.py	2005-11-23 01:14:09 +0000
@@ -267,15 +267,6 @@
         self.not_ancestor_id = not_ancestor_id
 
 
-class NotAncestor(BzrError):
-    def __init__(self, rev_id, not_ancestor_id):
-        self.rev_id = rev_id
-        self.not_ancestor_id = not_ancestor_id
-        msg = "Revision %s is not an ancestor of %s" % (not_ancestor_id, 
-                                                        rev_id)
-        BzrError.__init__(self, msg)
-
-
 class InstallFailed(BzrError):
     def __init__(self, revisions):
         msg = "Could not install revisions:\n%s" % " ,".join(revisions)

=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2005-11-10 03:03:53 +0000
+++ bzrlib/revision.py	2005-11-21 20:10:56 +0000
@@ -45,9 +45,9 @@
         self.revision_id = revision_id
         self.properties = properties or {}
         self._check_properties()
-        self.__dict__.update(args)
         self.parent_ids = []
         self.parent_sha1s = []
+        self.__dict__.update(args)
 
     def __repr__(self):
         return "<Revision id %s>" % self.revision_id

=== modified file 'bzrlib/selftest/test_revision_info.py'
--- bzrlib/selftest/test_revision_info.py	2005-11-17 07:45:38 +0000
+++ bzrlib/selftest/test_revision_info.py	2005-11-21 17:55:28 +0000
@@ -92,9 +92,9 @@
         b.working_tree().commit('Commit three', rev_id='a@r-0-3')
 
         revs = {
-            1:b.get_revision_xml_file('a@r-0-1').read(),
-            2:b.get_revision_xml_file('a@r-0-2').read(),
-            3:b.get_revision_xml_file('a@r-0-3').read()
+            1:b.get_revision_xml('a@r-0-1'),
+            2:b.get_revision_xml('a@r-0-2'),
+            3:b.get_revision_xml('a@r-0-3')
         }
 
         self.check_output(revs[1], 'cat-revision', 'a@r-0-1')

=== modified file 'bzrlib/selftest/testfetch.py'
--- bzrlib/selftest/testfetch.py	2005-11-07 20:17:57 +0000
+++ bzrlib/selftest/testfetch.py	2005-11-21 17:55:28 +0000
@@ -31,7 +31,7 @@
 
 def has_revision(branch, revision_id):
     try:
-        branch.get_revision_xml_file(revision_id)
+        branch.get_revision_xml(revision_id)
         return True
     except bzrlib.errors.NoSuchRevision:
         return False

